OpenJPH: ojph::param_siz Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::param_siz Class Reference

`#include <ojph_params.h>`

## Public Member Functions
| param_siz (local::param_siz *p)
void | set_image_extent (point extent)
void | set_tile_size (size s)
void | set_image_offset (point offset)
void | set_tile_offset (point offset)
void | set_num_components (ui32 num_comps)
void | set_component (ui32 comp_num, const point &downsampling, ui32 bit_depth, bool is_signed)
point | get_image_extent () const
point | get_image_offset () const
size | get_tile_size () const
point | get_tile_offset () const
ui32 | get_num_components () const
ui32 | get_bit_depth (ui32 comp_num) const
bool | is_signed (ui32 comp_num) const
point | get_downsampling (ui32 comp_num) const
ui32 | get_recon_width (ui32 comp_num) const
ui32 | get_recon_height (ui32 comp_num) const

## Private Attributes
local::param_siz * | state

## Detailed Description

Definition at line 70 of file ojph_params.h.

## Constructor & Destructor Documentation

## ◆ param_siz()

ojph::param_siz::param_siz | ( | local::param_siz * | p | ) |
| inline

Definition at line 73 of file ojph_params.h.

References state.

## Member Function Documentation

## ◆ get_bit_depth()

ui32 ojph::param_siz::get_bit_depth | ( | ui32 | comp_num | ) | const

Definition at line 127 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), get_j2c_bit_depth(), and main().

## ◆ get_downsampling()

point ojph::param_siz::get_downsampling | ( | ui32 | comp_num | ) | const

Definition at line 139 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), get_j2c_downsampling_x(), get_j2c_downsampling_y(), and main().

## ◆ get_image_extent()

point ojph::param_siz::get_image_extent | ( |  | ) | const

Definition at line 97 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codestream::finalize_alloc(), LLVMFuzzerTestOneInput(), main(), and ojph::local::codestream::pre_alloc().

## ◆ get_image_offset()

point ojph::param_siz::get_image_offset | ( |  | ) | const

Definition at line 103 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codestream::finalize_alloc(), LLVMFuzzerTestOneInput(), main(), and ojph::local::codestream::pre_alloc().

## ◆ get_num_components()

ui32 ojph::param_siz::get_num_components | ( |  | ) | const

Definition at line 121 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codestream::finalize_alloc(), get_j2c_bit_depth(), get_j2c_downsampling_x(), get_j2c_downsampling_y(), get_j2c_is_signed(), get_j2c_num_components(), LLVMFuzzerTestOneInput(), main(), and ojph::local::codestream::pre_alloc().

## ◆ get_recon_height()

ui32 ojph::param_siz::get_recon_height | ( | ui32 | comp_num | ) | const

Definition at line 151 of file ojph_params.cpp.

References state.

Referenced by get_j2c_height(), LLVMFuzzerTestOneInput(), and main().

## ◆ get_recon_width()

ui32 ojph::param_siz::get_recon_width | ( | ui32 | comp_num | ) | const

Definition at line 145 of file ojph_params.cpp.

References state.

Referenced by get_j2c_width(), LLVMFuzzerTestOneInput(), and main().

## ◆ get_tile_offset()

point ojph::param_siz::get_tile_offset | ( |  | ) | const

Definition at line 115 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codestream::finalize_alloc(), and ojph::local::codestream::pre_alloc().

## ◆ get_tile_size()

size ojph::param_siz::get_tile_size | ( |  | ) | const

Definition at line 109 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), ojph::local::codestream::finalize_alloc(), and ojph::local::codestream::pre_alloc().

## ◆ is_signed()

bool ojph::param_siz::is_signed | ( | ui32 | comp_num | ) | const

Definition at line 133 of file ojph_params.cpp.

References state.

Referenced by ojph::local::codestream::check_broadcast_validity(), ojph::local::codestream::check_imf_validity(), get_j2c_is_signed(), main(), and set_component().

## ◆ set_component()

void ojph::param_siz::set_component | ( | ui32 | comp_num,
|  | const point & | downsampling,
|  | ui32 | bit_depth,
|  | bool | is_signed )

Definition at line 90 of file ojph_params.cpp.

References is_signed(), and state.

Referenced by LLVMFuzzerTestOneInput(), and main().

## ◆ set_image_extent()

void ojph::param_siz::set_image_extent | ( | point | extent | ) |

Definition at line 60 of file ojph_params.cpp.

References state.

Referenced by LLVMFuzzerTestOneInput(), and main().

## ◆ set_image_offset()

void ojph::param_siz::set_image_offset | ( | point | offset | ) |

Definition at line 72 of file ojph_params.cpp.

References state.

Referenced by main().

## ◆ set_num_components()

void ojph::param_siz::set_num_components | ( | ui32 | num_comps | ) |

Definition at line 84 of file ojph_params.cpp.

References state.

Referenced by LLVMFuzzerTestOneInput(), and main().

## ◆ set_tile_offset()

void ojph::param_siz::set_tile_offset | ( | point | offset | ) |

Definition at line 78 of file ojph_params.cpp.

References state.

Referenced by main().

## ◆ set_tile_size()

void ojph::param_siz::set_tile_size | ( | size | s | ) |

Definition at line 66 of file ojph_params.cpp.

References state.

Referenced by main().

## Member Data Documentation

## ◆ state

local::param_siz* ojph::param_siz::state
| private

Definition at line 99 of file ojph_params.h.

Referenced by get_bit_depth(), get_downsampling(), get_image_extent(), get_image_offset(), get_num_components(), get_recon_height(), get_recon_width(), get_tile_offset(), get_tile_size(), is_signed(), param_siz(), set_component(), set_image_extent(), set_image_offset(), set_num_components(), set_tile_offset(), and set_tile_size().

The documentation for this class was generated from the following files:

- /build/openjph/src/OpenJPH/src/core/openjph/ojph_params.h
- /build/openjph/src/OpenJPH/src/core/codestream/ojph_params.cpp